Bug 186945 - (yum-cpio-error) Yum reports Updated/Complete even when its failed with errors
Yum reports Updated/Complete even when its failed with errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
: 217762 246037 251236 255281 (view as bug list)
Depends On:
Blocks: 282951
  Show dependency treegraph
 
Reported: 2006-03-27 11:38 EST by Chris Jones
Modified: 2014-01-21 17:53 EST (History)
7 users (show)

See Also:
Fixed In Version: f9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Jones 2006-03-27 11:38:55 EST
Description of problem:
When an update fails, yum still reports that its updated this package and that
its completed.

Version-Release number of selected component (if applicable):
yum.noarch 2.4.1-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. yum update (assuming you have a problem package)
2. 
3.
  
Actual results:
Running Transaction
  Updating  : kde-i18n-Polish              ######################### [1/2]
error: unpacking of archive failed on file /usr/share/doc/HTML/pl/common: cpio:
rename

Updated: kde-i18n-Polish.noarch 1:3.5.1-0.1.fc4
Complete!


Expected results:
Report a fail, or an error, rather than claiming to have updated

Additional info:
The kde-i18n-Polish bug lives in bug 176357
Comment 1 Christian Iseli 2007-01-19 19:40:24 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jeremy Katz 2007-04-25 14:51:07 EDT
*** Bug 217762 has been marked as a duplicate of this bug. ***
Comment 3 Seth Vidal 2007-08-03 15:26:06 EDT
Wouldn't this be an issue of rpm's callback not giving us the information of a
failure?

I'm going to reassign it over to rpm - see what paul and panu have to say.
Comment 4 Jeremy Katz 2007-08-07 17:52:03 EDT
*** Bug 251236 has been marked as a duplicate of this bug. ***
Comment 5 Valdis Kletnieks 2007-08-07 18:36:49 EDT
I'm not convinced my bug #251236 is an actual dup - this bug reports "rpm XYZ
fails to actually install, but gets reported as correct".  My bug is "XYZ
properly fails, and then *other* things fail to install as well".
Comment 6 Panu Matilainen 2007-08-10 03:05:45 EDT
*** Bug 246037 has been marked as a duplicate of this bug. ***
Comment 7 Panu Matilainen 2007-08-10 05:52:12 EDT
Yum can catch the error by checking for RPMCALLBACK_CPIO_ERROR /
RPMCALLBACK_UNPACK_ERROR in the callback and report failure based on that.

And over to yum...
Comment 8 Seth Vidal 2007-08-10 08:43:48 EDT
Is this the case in all versions of rpm or just newer ones?
Comment 9 Panu Matilainen 2007-08-10 08:49:50 EDT
Been there since rpm 4.1 according to hg. And no, I hadn't noticed it either
until now... :)
Comment 10 Seth Vidal 2007-08-10 09:24:51 EDT
(In reply to comment #7)
> Yum can catch the error by checking for RPMCALLBACK_CPIO_ERROR /
> RPMCALLBACK_UNPACK_ERROR in the callback and report failure based on that.
> 
> And over to yum...

You wouldn't happen to know what the fourth option passed to the callback will
look like in the case of these two would you?

I'm having trouble gleaning this from the rpm source.

Comment 11 Panu Matilainen 2007-08-10 09:33:16 EDT
AFAICT it's a header you can access normally.
Comment 12 Seth Vidal 2007-08-10 09:47:51 EDT
okay - and one last question - do you happen to have some intentionally broken
rpms I can use to test this?
Comment 13 Valdis Kletnieks 2007-08-10 10:44:23 EDT
Seth: You don't need an intentionally broken RPM, just an intentionally broken
system config.  If you have a machine that has a separate /usr or /usr/share,
just do this:

1) mount -o remount,ro /usr
2) Try to install an RPM that has files on /usr.

Ker-splat. :)
Comment 14 Jeremy Katz 2007-09-13 15:11:00 EDT
*** Bug 255281 has been marked as a duplicate of this bug. ***
Comment 15 Seth Vidal 2008-03-12 09:51:45 EDT
Okay yum is now outputting a clearer error message in this case. However, it is
still not fatal to the whole transaction and probably shouldn't be. Is that enough?
Comment 16 Bug Zapper 2008-05-13 22:07:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.